get
https://api.myvendy.com/banks
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Lists the banks you can pay out to. The currency query parameter is required.
Note!The bank code attached to each bank in the response from this endpoint is going to be required when trying to verify bank account and add a payout account.
Request:
| Field | Type | Description |
|---|---|---|
| currency | String | Three letters ISO currency code e.g ngn (Compulsory Query Parameter) |
Example request
curl --location 'https://api.myvendy.com/banks?currency=ngn' \
--header "AccessKey: $VENDY_ACCESS_KEY" \
--header "SecretKey: $VENDY_SECRET_KEY"Response:
| Field | Type | Description |
|---|---|---|
| status | Boolean | States if request was successfully executed or not |
| code | Integer | Internal code, success if 200 |
| data | JsonArray | List of supported bank details, their names and codes |
Example response
The response lists every supported bank. This example shows three.
{
"status": true,
"code": 200,
"msg": "Banks",
"error": "Banks",
"data": [
{
"name": "ACCESS BANK",
"code": "000014",
"ussdTemplate": null,
"baseUssdCode": null,
"transferUssdTemplate": null
},
{
"name": "GUARANTY TRUST BANK",
"code": "000013",
"ussdTemplate": null,
"baseUssdCode": null,
"transferUssdTemplate": null
},
{
"name": "ZENITH BANK",
"code": "000015",
"ussdTemplate": null,
"baseUssdCode": null,
"transferUssdTemplate": null
}
]
}